## cascading.tuple.collect
Interface TupleCollectionFactory<Config>

All Superinterfaces:
  CascadingFactory<Config,Collection<Tuple>>

    public interface TupleCollectionFactory<Config>

extends CascadingFactory<Config,Collection<Tuple>>

Interface TupleCollectionFactory allows developers to plugin alternative implementations of a "tuple collection" used to back in memory "join" and "co-group" operations. Typically these implementations are "spillable", in that to prevent using up all memory in the JVM, after some threshold is met or event is triggered, values are persisted to disk.

The `Collection` classes returned must take a `Tuple` as a value.

If the Collection implementation implements the `Spillable` interface, it will receive a `Spillable.SpillListener` instance that calls back to the appropriate logging mechanism for the platform.

The class `SpillableTupleList` may be used as a base class.

See Also:
  `HadoopTupleCollectionFactory`, `SpillableTupleList`, `HadoopSpillableTupleList`, `TupleMapFactory`, `HadoopTupleMapFactory`

Field Summary
`static String` `TUPLE_COLLECTION_FACTORY`

Method Summary

Methods inherited from interface cascading.provider.CascadingFactory
`create, initialize`

Field Detail

### TUPLE_COLLECTION_FACTORY

    static final String TUPLE_COLLECTION_FACTORY

See Also:
  Constant Field Values

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.